# Concrete resource

If you would like to hard delete a concrete room resource - e.g. chat, recordings, transcripts, summaries, then you need to execute a DELETE request to the concrete resource endpoint.

* DELETE /rooms/:id/**chat** -> this will permanently delete all chat messages from the room
* DELETE /rooms/:id/**questions**  -> this will permanently delete all Q\&A from the room
* DELETE /rooms/:id/**polls**  -> this will permanently delete all polls from the room
* DELETE /rooms/:id/**recordings**  -> this will permanently delete all recordings from the room
* DELETE /rooms/:id/**transcripts**  -> this will permanently delete all transcripts from the room
* DELETE /rooms/:id/**summaries** -> this will permanently delete all summaries from the room

{% hint style="info" %}
You can hard delete **ALL** room resources by executing one DELETE request to\
**DELETE /rooms/:id/resources**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/rooms/delete/concrete-resource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
